# Pyroid Guides

Welcome to the Pyroid guides! These guides will help you get started with Pyroid and learn how to use its various features effectively.

## Getting Started

- [Installation and Setup](./getting_started.md)
- [Basic Usage](./basic_usage.md)
- [Configuration](./configuration.md)

## Core Modules

- [Math Operations](./math_operations.md)
- [Text Processing](./text_processing.md)
- [Data Operations](./data_operations.md)
- [I/O Operations](./io_operations.md)
- [Image Processing](./image_processing.md)
- [Machine Learning](./machine_learning.md)

## Advanced Topics

- [Performance Optimization](./performance.md)
- [Memory Management](./memory_management.md)
- [Parallel Processing](./parallel_processing.md)
- [Async Programming](./async_programming.md)

## Best Practices

- [Error Handling](./error_handling.md)
- [Testing](./testing.md)
- [Benchmarking](./benchmarking.md)
- [Integration with Other Libraries](./integration.md)

## Examples

For practical examples of using Pyroid, see the [Examples](../../examples/) directory.
